commit aac3b6a7e3a7b810005343e62e6822338fcb85d4
Author: John David Anglin <danglin@gcc.gnu.org>
Date:   Fri Oct 1 19:35:45 2021

    Default to dwarf version 4 on hppa64-hpux
    
    2021-10-01  John David Anglin  <danglin@gcc.gnu.org>
    
    gcc/ChangeLog:
    
            PR debug/102373
            * config/pa/pa.c (pa_option_override): Default to dwarf version 4
            on hppa64-hpux.

diff --git a/gcc/config/pa/pa.c b/gcc/config/pa/pa.c
index 46194ba395d..87802ece7b9 100644
--- a/gcc/config/pa/pa.c
+++ b/gcc/config/pa/pa.c
@@ -541,6 +541,16 @@ pa_option_override (void)
       write_symbols = NO_DEBUG;
     }
 
+  if (TARGET_64BIT && TARGET_HPUX)
+    {
+      /* DWARF5 is not supported by gdb.  Don't emit DWARF5 unless
+	 specifically selected.  */
+      if (!global_options_set.x_dwarf_strict)
+	dwarf_strict = 1;
+      if (!global_options_set.x_dwarf_version)
+	dwarf_version = 4;
+    }
+
   /* We only support the "big PIC" model now.  And we always generate PIC
      code when in 64bit mode.  */
   if (flag_pic == 1 || TARGET_64BIT)

